# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from osv import fields
from osv import osv
import ir
from mx.DateTime import *
import netsvc
import time
from tools.translate import _

class control_leche(osv.osv):
    _name= 'control.leche'
    
    _columns={
        'name':fields.char('Nombre', size=256, required=True),
        'date_from':fields.date('Fecha Incio', required=True),
        'date_to':fields.date('Fecha Fin'),
        'leche_ids':fields.one2many('control.leche.lines', 'control_leche_id', 'Control Leche'),
    }
    
    def create_days(self, cr, uid, ids, context=None):
        leche_lines_obj = self.pool.get('control.leche.lines')
        dias = ['sabado', 'domingo', 'lunes', 'martes', 'miercoles', 'jueves', 'viernes']
        values = self.read(cr, uid, ids, ['date_from', 'leche_ids'])
        if values[0]['leche_ids']:
            date_start = DateTimeFrom(leche_lines_obj.read(cr, uid, values[0]['leche_ids'][-1:], ['date'])[0]['date'])+1
        else:
            date_start = values[0]['date_from']
        for dia in dias:
            leche_lines_obj.create(cr, uid, {'name':dia, 'date':date_start, 'control_leche_id':ids[0]})
            date_start = DateTimeFrom(date_start)+1
        return True
        
    def compute(self, cr, uid, ids, context=None):
        leche_lines_obj = self.pool.get('control.leche.lines')
        leche_ids = self.read(cr, uid, ids, ['leche_ids'])[0]['leche_ids']
        contador = 1
        inv_final_sabado = 0
        inv_final_domingo = 0
        inv_final_lunes = 0
        inv_final_martes = 0
        inv_final_miercoles = 0
        inv_final_jueves = 0
        inv_final_viernes = 0
        for leche in leche_lines_obj.browse(cr, uid, leche_ids):
            ordena_1 = leche.ordena_1
            sys = leche.sys
            sr_ciro = leche.sr_ciro
            becerras = leche.becerras
            ind_cor = leche.ind_cor
            ordena_2 = leche.ordena_2
            falta_sobra = leche.falta_sobra
            if contador == 8:
                contador = 1
            if contador == 1:
                if inv_final_viernes:
                    leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_viernes})
                    inv_inicial = inv_final_viernes
                else:
                    inv_inicial = leche.inv_inicial
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_sabado = inv_final
            elif contador == 2:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_sabado})
                inv_inicial = inv_final_sabado
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_domingo = inv_final
            elif contador == 3:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_domingo})
                inv_inicial = inv_final_domingo
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_lunes = inv_final
            elif contador == 4:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_lunes})
                inv_inicial = inv_final_lunes
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_martes = inv_final
            elif contador == 5:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_martes})
                inv_inicial = inv_final_martes
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_miercoles = inv_final
            elif contador == 6:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_miercoles})
                inv_inicial = inv_final_miercoles
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_jueves = inv_final
            elif contador == 7:
                leche_lines_obj.write(cr, uid, [leche.id], {'inv_inicial':inv_final_jueves})
                inv_inicial = inv_final_jueves
                inv_inter = ((inv_inicial +  ordena_1) - ( sys + sr_ciro + becerras))+(falta_sobra)
                inv_final = ((inv_inter + ordena_2) - ind_cor)
                inv_final_viernes = inv_final
            leche_lines_obj.write(cr, uid, [leche.id], {'inv_inter':inv_inter, 'inv_final':inv_final})
            contador = contador+1
        return True
        
control_leche()

class control_leche_lines(osv.osv):
    _name= 'control.leche.lines'
    
    _columns={
        'name':fields.selection([('lunes','Lunes'), ('martes','Martes'), ('miercoles','Miercoles'), ('jueves','Jueves'), ('viernes','Viernes'), ('sabado','Sabado'), ('domingo','Domingo')], 'Dia', required=True),
        'date':fields.date('Fecha'),
        'inv_inicial':fields.integer('Inventario Inicial'),
        'ordena_1':fields.integer('1er. Ordena'),
        'sys':fields.integer('Saber y Sabor'),
        'sr_ciro':fields.integer('Sr. Ciro'),
        'becerras':fields.integer('Becerritas'),
        'falta_sobra':fields.integer('Faltante/Sobrante'),
        'inv_inter':fields.integer('Inventario Desp Primera Ordena'),
        'ind_cor':fields.integer('Ind. Cor'),
        'ordena_2':fields.integer('2da. Ordena'),
        'inv_final':fields.integer('Inventario Final'),
        'control_leche_id':fields.many2one('control.leche', 'Control Leche'),
    }
control_leche_lines()