# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from osv import fields
from osv import osv
import ir
from mx.DateTime import *
import netsvc
import time
from tools.translate import _


class mrp_bom(osv.osv):
    _inherit = 'mrp.bom'

    def onchange_product_id(self, cr, uid, ids, product_id, name, context=None):
        res=super(mrp_bom,self).onchange_product_id(cr, uid, ids, product_id, name, context)
        prod = self.pool.get('product.product').browse(cr, uid, product_id, context=context)
        res['value']['standard_price']=prod.standard_price
        print res,"si funcion"
        return res

    def _importe(self, cr, uid, ids, prop, unknow_none, unknow_dict):
        res = {}
        for line in self.browse(cr, uid, ids):
            importe=line.product_qty*line.standard_price
            res[line.id] = importe
        return res
    
    def calcula_costo(self,cr,uid,ids,context=None):
        prod = self.pool.get('product.product')
        sprod = self.pool.get('mrp.subproduct')
        for bom in self.browse(cr, uid, ids):
            for line in bom.bom_lines:
                p=prod.browse(cr, uid, line.product_id.id, context=context)
                self.write(cr,uid,[line.id],{'standard_price':p.standard_price},context=context)
            for sub in bom.sub_products:
                p=prod.browse(cr, uid, sub.product_id.id, context=context)
                sprod.write(cr,uid,[sub.id],{'standard_price':p.standard_price},context=context)
        return True
 
    def _merma(self, cr, uid, ids, prop, unknow_none, unknow_dict):
        res= {}
        total=0
        for bom in self.browse(cr,uid,ids):
            for line in bom.sub_products:
                total=bom.qty_kg-bom.suma_pt_rmto
            res[bom.id]=total
        return res
    
    def _suma_rmto(self, cr, uid, ids, prop, unknow_none, unknow_dict):
        res= {}
        prod = self.pool.get('product.product')
        suma=0
        merma=0
        for bom in self.browse(cr,uid,ids):
            for line in bom.sub_products:
                merma+=line.product_qty
            for line in bom.bom_lines:
                p=prod.browse(cr,uid,[line.product_id.id])[0]
                if p.default_code=='1816988':
                    suma=merma+(line.product_qty*1.032)
                res[bom.id]=suma
        return res

    _columns={
        'standard_price':fields.float('Costo Unitario'),
        'importe':fields.function(_importe, method=True, string='Importe', type="float"),
        'merma':fields.function(_merma, method=True, string='Merma', type="float"),
        'suma_pt_rmto':fields.function(_suma_rmto, method=True, string='Suma PT Rendimiento', type="float")
    }

mrp_bom()

class mrp_subproduct(osv.osv):
    _inherit = 'mrp.subproduct'
    
    def _importe(self, cr, uid, ids, prop, unknow_none, unknow_dict):
        res = {}
        for line in self.browse(cr, uid, ids):
            importe=line.product_qty*line.standard_price
            res[line.id] = importe
        return res    
    
    _columns={
        'standard_price':fields.float('Costo Unitario'),
        'importe':fields.function(_importe, method=True, string='Importe', type="float"),
    }
    


mrp_subproduct()