# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
import base64
import tools
from crm import crm
from osv import fields
from osv import osv
from tools.translate import _

class product_product(osv.osv):
    _inherit='product.product'
    
    def _get_child_ids(self, cr, uid, ids, field_name, arg, context=None):
        result = {}
        for record in self.browse(cr, uid, ids, context=context):
            result[record.id] = self.search(cr, uid, [('padre_id', '=', record.id)])
        return result
        
    _columns = {
        'rendimiento':fields.float('Rendimiento(%)'),
        'presentacion':fields.float('Presentacion(Kg)'),
        'batch':fields.integer('Cantidad por Lote'),
        'dias_entrega':fields.integer('Dias de Entrega'),
        'bom_extra_ids':fields.one2many('product.bom.extra','product_id','BoM Extra'),
        'child_id': fields.function(_get_child_ids, method=True, type='many2many', relation="product.product", string="Child Products"),
    }
product_product()

class product_bom_extra(osv.osv):
    _name='product.bom.extra'
    _rec_name='product_id2'
    _columns={
     'product_id':fields.many2one('product.product','Productos'),
     'product_id2':fields.many2one('product.product','Producto'),
     'cantidad':fields.float('cantidad', required=True,digits=(16, 6)),
     'tipo':fields.selection([('empaque','Empaque'),('mp','Materia Prima'),],'Tipo',required=True)
}
product_bom_extra()



