# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from tools.misc import UpdateableStr, UpdateableDict
from osv import osv
import time
import math

class wizard_compute_requerimiento(osv.osv_memory):
    _name = 'wizard.compute.requerimiento'
    
    _columns = {
    }
    def lines_make(self, cr, uid, ids, context=None):
        sugerido_obj = self.pool.get('mrp.sugerido')
        sugerido_lines_obj = self.pool.get('mrp.sugerido.lines')
        sugerido_requerimiento_obj = self.pool.get('mrp.sugerido.requerimientos')
        sugerido_agrupados_obj = self.pool.get('mrp.sugerido.agrupados')
        products_ids = sugerido_obj.read(cr, uid, context['active_id'], ['product_ids'])
        productos = []
        for product in sugerido_lines_obj.browse(cr, uid, products_ids['product_ids']):
            product_id = product.product_id.id
            padre_id = product.product_id.padre_id.id
            code = product.product_id.default_code
            presentacion = product.product_id.presentacion
            piezas = product.cantidad_sugerida
            kilos = presentacion*piezas
            date = product.date
            sale_ok = product.sale_ok
            uom_id = product.cantidad_sugerida_uom_id.id
            sugerido_requerimiento_obj.create(cr, uid, {
                                              'product_id':product_id,
                                              'name':code,
                                              'presentacion':presentacion,
                                              'piezas':piezas,
                                              'kilos':kilos,
                                              'sugerido_id':context['active_id'],
                                              'padre_id':padre_id,
                                              'date':date,
                                              'piezas_uom_id':uom_id,
                                              })
            if padre_id in productos and sale_ok == 1:
                lines_ids = sugerido_requerimiento_obj.search(cr, uid, [('padre_id', '=', padre_id)])
                sugerido_requerimiento_obj.write(cr, uid, lines_ids, {'date':date, 'sale_ok':True})
            if padre_id not in productos:
                productos.append(padre_id)
        query = 'select A.sale_ok, A.date, A.padre_id, sum(A.kilos) as kilos, B.rendimiento, B.batch, count(A.*) \
                from mrp_sugerido_requerimientos A, product_product B \
                where A.padre_id = B.id and A.sugerido_id = %s group by A.padre_id, B.rendimiento, B.batch, A.date, A.sale_ok'%(context['active_id'])
        cr.execute(query)
        values = cr.dictfetchall()
        for value in values:
            padre_id = value['padre_id']
            batch = value['batch']
            sugerido_id = context['active_id']
            cantidad = value['kilos']
            rendimiento = value['rendimiento']
            qty_leche = round(cantidad/(rendimiento*0.01), 2)
            fraccion = str(qty_leche).split('.')[1]
            date = value['date']
            sale_ok = value['sale_ok']
            if int(fraccion) > 50:
                cantidad_leche = math.ceil(qty_leche)
            else:
                cantidad_leche = math.floor(qty_leche)
            sugerido_agrupados_obj.create(cr, uid, {
                                            'padre_id':padre_id,
                                            'sugerido_id':sugerido_id,
                                            'cantidad':cantidad,
                                            'rendimiento':rendimiento,
                                            'cantidad_leche':cantidad_leche,
                                            'batch':batch,
                                            'date':date,
                                            'sale_ok':sale_ok,
                                            })
        return {}
wizard_compute_requerimiento()