# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from osv import osv, fields
import time
import math
import pymssql

class wizard_conection_power(osv.osv_memory):
    _name = 'wizard.conection.power'
    
    _columns = {
        'date':fields.date('Fecha', required=True),
        'date_start':fields.date('Fecha Desde?', required=True),
        'date_end':fields.date('Fecha Hasta?', required=True),
        'periodo':fields.char('Periodo a Cubrir', size=64),
        'from_family':fields.char('Desde Familia', size=64),
        'to_family':fields.char('Hasta Familia', size=64),
        'from_supplier':fields.char('Desde Distribuidor', size=64),
        'to_supplier':fields.char('Hasta Distribuidor', size=64),
        'margin':fields.char('Margen', size=64),
        'deposito':fields.char('Deposito', size=64),
        'lista_costo':fields.char('Lista Costo', size=64),
    }
    
    _defaults = {
        'periodo':lambda*a:'7',
        'from_family':lambda*a:'001',
        'to_family':lambda*a:'999',
        'from_supplier':lambda*a:'1',
        'to_supplier':lambda*a:'999',
        'margin':lambda*a:'10',
        'deposito':lambda*a:'100',
        'lista_costo':lambda*a:'1',
    }
    def conection_execute_query(self, cr, uid, ids, data, context=None):
        desdefamilia=data['from_family']
        hastafamilia=data['to_family']
        fecha=data['date']
        desdefecha=data['date_start']
        hastafecha=data['date_end']
        deposito=data['deposito']
        margen=data['margin']
        periodo_a_cubrir=data['periodo']
        desdedistribuidor=data['from_supplier']
        hastadistribuidor=data['to_supplier']
        listacosto=data['lista_costo']
        
        conn = pymssql.connect(host='192.168.50.39', user='tecnos', password='1234', database='sys01', as_dict=True)
        cur = conn.cursor()
        query="""
                select
                    isnull(case 
                        when (select 
                                    count(*) 
                                from 
                                    calendario 
                                where 
                                    fecha between '%s' and '%s' 
                                    and not datepart(dw,fecha)=7)<=0 
                        then 1 
                        else (select 
                                    count(*) 
                                from 
                                    calendario 
                                where 
                                    fecha between '%s' and '%s' 
                                    and not datepart(dw,fecha)=7) end,0) Dias_venta
                into #calen
                ;

                /*  Ventas del periodo  */

                select 
                    ar.codigo articulo,
                    isnull(sum(da.cantidad*td.indiventa),0) cantidad
                into #venta
                from 
                    articulo ar
                    left join docarti da on ar.codigo=da.articulo
                    left join documentos d on da.empresa=d.empresa and da.clavecorr=d.clavecorr and da.serie=d.serie and da.nrodoc=d.nrodoc
                    left join cuentas c on c.tipocuenta=d.tipocuenta and c.codigo=d.cuenta
                    left join tipodoc td on td.codigo=d.tipodocum
                where
                    ar.familia between '%s' and '%s'
                    and ar.controlarstock=1
                    and ar.activo=1
                    and isnull(d.fecha,'%s') between '%s' and '%s'
                    and isnull(td.venta,2)>1 
                    and isnull(d.anulado,0)= 0 
                    and isnull(d.tipocuenta,1)= 1 
                    and isnull(c.distrib,'%s') between '%s' and '%s'
                group by
                    ar.codigo
                ;

                /*Stock hasta hoy*/

                select
                    ar.codigo articulo,
                    isnull(case 
                        when SUM(case when mst.tipomov=1 then mst.cantidad else -mst.cantidad end)<0 
                        then 0 
                        else SUM(case when mst.tipomov=1 then mst.cantidad else -mst.cantidad end)
                    end,0) saldo,
                    isnull((select top 1 
                                precio
                            from
                                precios 
                            where 
                                articulo=ar.codigo 
                                and fecha<='%s'
                                and lista='%s'
                            order by 
                                fecha desc),0) Precio
                into #stock
                from
                    articulo ar 
                    left join movstock mst on (mst.articulo=ar.codigo)
                where
                    ar.familia between '%s' and '%s'
                    and ar.controlarstock=1
                    and ar.activo=1
                    and isnull(mst.fecha, '%s') <= '%s' 
                    and isnull(mst.deposito, '%s')= '%s'
                group by
                    ar.codigo
                ;
                ----------------------------

                select
                    a.codigo,
                    rtrim(a.descrip) articulo,
                    c.dias_venta dias_venta,
                    '%s' dias,
                    isnull(v.cantidad,0) venta,
                    isnull(v.cantidad,0)/c.dias_venta Prom_venta,
                    s.saldo saldo,
                    isnull(m.stock_minimo,0) stock_minimo,
                    ((isnull(v.cantidad,0)/c.dias_venta)*'%s') cant_nec,
                    ((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100)) cant_sug, -- porciento de margen
                    case 
                        when s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))>0
                        then 0
                        else abs(s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100)))
                    end PS_x_stk,
                    case
                        when s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0)>0
                        then 0
                        else abs(s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0))
                    end PS_x_stk_min,
                    Precio* 
                    case
                        when s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))>0
                        then 0
                        else abs(s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100)))
                    end costo_x_stk,
                    Precio* 
                    case
                        when s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0)>0
                        then 0
                        else abs(s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0))
                    end costo_x_stk_min
                from
                    articulo a
                    join familias f on f.codigo=a.familia
                    join #calen c on 1=1
                    left join #venta v on v.articulo=a.codigo
                    left join #stock s on s.articulo=a.codigo
                    left join stockxdeposito m on m.deposito='%s' and m.articulo=a.codigo
                where
                    a.controlarstock=1
                    and a.activo=1
                    and a.familia between '%s' and '%s'

                    and case
                            when s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0)>0
                            then 0
                            else abs(s.saldo-((isnull(v.cantidad,0)/c.dias_venta)*'%s')*(1+(cast('%s' as numeric(10,3))/100))-isnull(m.stock_minimo,0))
                        end >0


                order by
                    f.codigo,a.codigo
                ;

                drop table #venta;
                drop table #stock;
                drop table #calen;
                
                """%(desdefecha, hastafecha, desdefecha, hastafecha, desdefamilia, hastafamilia, desdefecha, desdefecha, hastafecha,
                     desdedistribuidor, desdedistribuidor, hastadistribuidor, fecha, listacosto, desdefamilia, hastafamilia, fecha, fecha,
                     deposito, deposito, periodo_a_cubrir, periodo_a_cubrir, periodo_a_cubrir, margen, periodo_a_cubrir, margen, periodo_a_cubrir,
                     margen, periodo_a_cubrir, margen, periodo_a_cubrir, margen, periodo_a_cubrir, margen, periodo_a_cubrir, margen, periodo_a_cubrir,
                     margen, periodo_a_cubrir, margen, deposito, desdefamilia, hastafamilia, periodo_a_cubrir, margen, periodo_a_cubrir, margen)
        cur.execute(query)
        values=cur.fetchall()
        #values=[{0: '064 ', 1: 'Q. CHIHUAHUA ORG. FA 500 GRS', 2: 6, 3: '7', 4: ("117.000"), 5: ("19.500000"), 6: ("102.500"), 7: ("0.000"), 8: ("136.500000"), 9: ("150.150000"), 10: ("47.650"), 11: ("47.650"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. CHIHUAHUA ORG. FA 500 GRS', 'cant_sug': ("150.150000"), 'venta': ("117.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("47.650"), 'PS_x_stk_min': ("47.650"), 'saldo': ("102.500"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("136.500000"), 'Prom_venta': ("19.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '064 '}, {0: '065 ', 1: 'Q. MANCHEGO ORG. FA 500 GRS', 2: 6, 3: '7', 4: ("427.000"), 5: ("71.166666"), 6: ("457.000"), 7: ("0.000"), 8: ("498.166662"), 9: ("547.983328"), 10: ("90.983"), 11: ("90.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. MANCHEGO ORG. FA 500 GRS', 'cant_sug': ("547.983328"), 'venta': ("427.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("90.983"), 'PS_x_stk_min': ("90.983"), 'saldo': ("457.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("498.166662"), 'Prom_venta': ("71.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '065 '}, {0: '066 ', 1: 'Q. MAN/CHIPOTLE ORG. FA. 500 GRS', 2: 6, 3: '7', 4: ("262.000"), 5: ("43.666666"), 6: ("242.500"), 7: ("0.000"), 8: ("305.666662"), 9: ("336.233328"), 10: ("93.733"), 11: ("93.733"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. MAN/CHIPOTLE ORG. FA. 500 GRS', 'cant_sug': ("336.233328"), 'venta': ("262.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("93.733"), 'PS_x_stk_min': ("93.733"), 'saldo': ("242.500"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("305.666662"), 'Prom_venta': ("43.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '066 '}, {0: '067 ', 1: 'Q. MAN/JALAPExd1O ORG. FA. 500 GRS', 2: 6, 3: '7', 4: ("232.000"), 5: ("38.666666"), 6: ("272.000"), 7: ("0.000"), 8: ("270.666662"), 9: ("297.733328"), 10: ("25.733"), 11: ("25.733"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. MAN/JALAPExd1O ORG. FA. 500 GRS', 'cant_sug': ("297.733328"), 'venta': ("232.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("25.733"), 'PS_x_stk_min': ("25.733"), 'saldo': ("272.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("270.666662"), 'Prom_venta': ("38.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '067 '}, {0: '0012 ', 1: 'Q. RAYADO ASADERO BOLSA 1 KG', 2: 6, 3: '7', 4: ("71.000"), 5: ("11.833333"), 6: ("80.000"), 7: ("0.000"), 8: ("82.833331"), 9: ("91.116664"), 10: ("11.117"), 11: ("11.117"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. RAYADO ASADERO BOLSA 1 KG', 'cant_sug': ("91.116664"), 'venta': ("71.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("11.117"), 'PS_x_stk_min': ("11.117"), 'saldo': ("80.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("82.833331"), 'Prom_venta': ("11.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '0012 '}, {0: '0013 ', 1: 'Q. RAYADO ASADERO BOLSA 5 KG', 2: 6, 3: '7', 4: ("44.000"), 5: ("7.333333"), 6: ("38.000"), 7: ("0.000"), 8: ("51.333331"), 9: ("56.466664"), 10: ("18.467"), 11: ("18.467"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. RAYADO ASADERO BOLSA 5 KG', 'cant_sug': ("56.466664"), 'venta': ("44.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("18.467"), 'PS_x_stk_min': ("18.467"), 'saldo': ("38.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("51.333331"), 'Prom_venta': ("7.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '0013 '}, {0: '0025 ', 1: 'Q. RAYADO PIZZERO BOLSA 5 KG', 2: 6, 3: '7', 4: ("17.000"), 5: ("2.833333"), 6: ("15.000"), 7: ("0.000"), 8: ("19.833331"), 9: ("21.816664"), 10: ("6.817"), 11: ("6.817"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. RAYADO PIZZERO BOLSA 5 KG', 'cant_sug': ("21.816664"), 'venta': ("17.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("6.817"), 'PS_x_stk_min': ("6.817"), 'saldo': ("15.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("19.833331"), 'Prom_venta': ("2.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '0025 '}, {0: '0027 ', 1: 'Q. RAYADO MANCHEGO BOLSA 5 KG', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("4.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("1.133"), 11: ("1.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. RAYADO MANCHEGO BOLSA 5 KG', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.133"), 'PS_x_stk_min': ("1.133"), 'saldo': ("4.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '0027 '}, {0: '020 ', 1: 'Q. Asadero x Kg.', 2: 6, 3: '7', 4: ("229.540"), 5: ("38.256666"), 6: ("275.960"), 7: ("0.000"), 8: ("267.796662"), 9: ("294.576328"), 10: ("18.616"), 11: ("18.616"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. Asadero x Kg.', 'cant_sug': ("294.576328"), 'venta': ("229.540"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("18.616"), 'PS_x_stk_min': ("18.616"), 'saldo': ("275.960"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("267.796662"), 'Prom_venta': ("38.256666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '020 '}, {0: '029 ', 1: 'Q. Requeson 500 G', 2: 6, 3: '7', 4: ("114.000"), 5: ("19.000000"), 6: ("120.000"), 7: ("0.000"), 8: ("133.000000"), 9: ("146.300000"), 10: ("26.300"), 11: ("26.300"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. Requeson 500 G', 'cant_sug': ("146.300000"), 'venta': ("114.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("26.300"), 'PS_x_stk_min': ("26.300"), 'saldo': ("120.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("133.000000"), 'Prom_venta': ("19.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '029 '}, {0: '063 ', 1: 'Q. ASADERO ORG. FA 500 GRS', 2: 6, 3: '7', 4: ("308.000"), 5: ("51.333333"), 6: ("253.000"), 7: ("0.000"), 8: ("359.333331"), 9: ("395.266664"), 10: ("142.267"), 11: ("142.267"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. ASADERO ORG. FA 500 GRS', 'cant_sug': ("395.266664"), 'venta': ("308.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("142.267"), 'PS_x_stk_min': ("142.267"), 'saldo': ("253.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("359.333331"), 'Prom_venta': ("51.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '063 '}, {0: '040 ', 1: 'Q. Panela Marqueta x Kg.', 2: 6, 3: '7', 4: ("1075.436"), 5: ("179.239333"), 6: ("594.540"), 7: ("0.000"), 8: ("1254.675331"), 9: ("1380.142864"), 10: ("785.603"), 11: ("785.603"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. Panela Marqueta x Kg.', 'cant_sug': ("1380.142864"), 'venta': ("1075.436"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("785.603"), 'PS_x_stk_min': ("785.603"), 'saldo': ("594.540"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1254.675331"), 'Prom_venta': ("179.239333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '040 '}, {0: '041 ', 1: 'Q. Panela Lingote x kg', 2: 6, 3: '7', 4: ("443.335"), 5: ("73.889166"), 6: ("155.500"), 7: ("0.000"), 8: ("517.224162"), 9: ("568.946578"), 10: ("413.447"), 11: ("413.447"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. Panela Lingote x kg', 'cant_sug': ("568.946578"), 'venta': ("443.335"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("413.447"), 'PS_x_stk_min': ("413.447"), 'saldo': ("155.500"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("517.224162"), 'Prom_venta': ("73.889166"), 'costo_x_stk_min': ("0.000000"), 'codigo': '041 '}, {0: '061 ', 1: 'Q. PANELA ORG. FA 500 GRS', 2: 6, 3: '7', 4: ("726.000"), 5: ("121.000000"), 6: ("463.500"), 7: ("0.000"), 8: ("847.000000"), 9: ("931.700000"), 10: ("468.200"), 11: ("468.200"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. PANELA ORG. FA 500 GRS', 'cant_sug': ("931.700000"), 'venta': ("726.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("468.200"), 'PS_x_stk_min': ("468.200"), 'saldo': ("463.500"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("847.000000"), 'Prom_venta': ("121.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '061 '}, {0: '062 ', 1: 'Q. OAXACA ORG. FA 500 GRS', 2: 6, 3: '7', 4: ("434.000"), 5: ("72.333333"), 6: ("238.500"), 7: ("0.000"), 8: ("506.333331"), 9: ("556.966664"), 10: ("318.467"), 11: ("318.467"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. OAXACA ORG. FA 500 GRS', 'cant_sug': ("556.966664"), 'venta': ("434.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("318.467"), 'PS_x_stk_min': ("318.467"), 'saldo': ("238.500"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("506.333331"), 'Prom_venta': ("72.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '062 '}, {0: '080 ', 1: 'Q. OAXACA ORG. FA 1KG', 2: 6, 3: '7', 4: ("127.000"), 5: ("21.166666"), 6: ("63.000"), 7: ("0.000"), 8: ("148.166662"), 9: ("162.983328"), 10: ("99.983"), 11: ("99.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Q. OAXACA ORG. FA 1KG', 'cant_sug': ("162.983328"), 'venta': ("127.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("99.983"), 'PS_x_stk_min': ("99.983"), 'saldo': ("63.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("148.166662"), 'Prom_venta': ("21.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '080 '}, {0: '128 ', 1: 'Leche Flor de Alfalfa', 2: 6, 3: '7', 4: ("1510.000"), 5: ("251.666666"), 6: ("395.000"), 7: ("0.000"), 8: ("1761.666662"), 9: ("1937.833328"), 10: ("1542.833"), 11: ("1542.833"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Leche Flor de Alfalfa', 'cant_sug': ("1937.833328"), 'venta': ("1510.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1542.833"), 'PS_x_stk_min': ("1542.833"), 'saldo': ("395.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1761.666662"), 'Prom_venta': ("251.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '128 '}, {0: '138 ', 1: 'Leche Soya 1 Kg.', 2: 6, 3: '7', 4: ("57.000"), 5: ("9.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("66.500000"), 9: ("73.150000"), 10: ("73.150"), 11: ("73.150"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Leche Soya 1 Kg.', 'cant_sug': ("73.150000"), 'venta': ("57.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("73.150"), 'PS_x_stk_min': ("73.150"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("66.500000"), 'Prom_venta': ("9.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '138 '}, {0: '085 ', 1: 'Crema 500 Gr. FA', 2: 6, 3: '7', 4: ("419.000"), 5: ("69.833333"), 6: ("200.000"), 7: ("0.000"), 8: ("488.833331"), 9: ("537.716664"), 10: ("337.717"), 11: ("337.717"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Crema 500 Gr. FA', 'cant_sug': ("537.716664"), 'venta': ("419.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("337.717"), 'PS_x_stk_min': ("337.717"), 'saldo': ("200.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("488.833331"), 'Prom_venta': ("69.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '085 '}, {0: '100 ', 1: 'Crema 18 KG', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("5.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("3.983"), 11: ("3.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Crema 18 KG', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.983"), 'PS_x_stk_min': ("3.983"), 'saldo': ("5.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '100 '}, {0: '113 ', 1: 'Mantequilla Cub. 3.5 Kg', 2: 6, 3: '7', 4: ("24.000"), 5: ("4.000000"), 6: ("24.000"), 7: ("0.000"), 8: ("28.000000"), 9: ("30.800000"), 10: ("6.800"), 11: ("6.800"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Mantequilla Cub. 3.5 Kg', 'cant_sug': ("30.800000"), 'venta': ("24.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("6.800"), 'PS_x_stk_min': ("6.800"), 'saldo': ("24.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("28.000000"), 'Prom_venta': ("4.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '113 '}, {0: '190 ', 1: 'Yog. Natural FA 1 Kg', 2: 6, 3: '7', 4: ("488.000"), 5: ("81.333333"), 6: ("290.000"), 7: ("0.000"), 8: ("569.333331"), 9: ("626.266664"), 10: ("336.267"), 11: ("336.267"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Natural FA 1 Kg', 'cant_sug': ("626.266664"), 'venta': ("488.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("336.267"), 'PS_x_stk_min': ("336.267"), 'saldo': ("290.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("569.333331"), 'Prom_venta': ("81.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '190 '}, {0: '260 ', 1: 'Yog. Frutas del Bosque FA 1 Kg', 2: 6, 3: '7', 4: ("76.000"), 5: ("12.666666"), 6: ("41.000"), 7: ("0.000"), 8: ("88.666662"), 9: ("97.533328"), 10: ("56.533"), 11: ("56.533"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Frutas del Bosque FA 1 Kg', 'cant_sug': ("97.533328"), 'venta': ("76.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("56.533"), 'PS_x_stk_min': ("56.533"), 'saldo': ("41.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("88.666662"), 'Prom_venta': ("12.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '260 '}, {0: '263 ', 1: 'Yog. Manz/Canela FA 1Kg', 2: 6, 3: '7', 4: ("55.000"), 5: ("9.166666"), 6: ("30.000"), 7: ("0.000"), 8: ("64.166662"), 9: ("70.583328"), 10: ("40.583"), 11: ("40.583"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Manz/Canela FA 1Kg', 'cant_sug': ("70.583328"), 'venta': ("55.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("40.583"), 'PS_x_stk_min': ("40.583"), 'saldo': ("30.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("64.166662"), 'Prom_venta': ("9.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '263 '}, {0: '270 ', 1: 'Yog. Ciruela/Pasa FA 1 Kg', 2: 6, 3: '7', 4: ("49.000"), 5: ("8.166666"), 6: ("24.000"), 7: ("0.000"), 8: ("57.166662"), 9: ("62.883328"), 10: ("38.883"), 11: ("38.883"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Ciruela/Pasa FA 1 Kg', 'cant_sug': ("62.883328"), 'venta': ("49.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("38.883"), 'PS_x_stk_min': ("38.883"), 'saldo': ("24.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("57.166662"), 'Prom_venta': ("8.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '270 '}, {0: '302 ', 1: 'Yog. Durazno FA 1 Kg', 2: 6, 3: '7', 4: ("48.000"), 5: ("8.000000"), 6: ("37.000"), 7: ("0.000"), 8: ("56.000000"), 9: ("61.600000"), 10: ("24.600"), 11: ("24.600"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Durazno FA 1 Kg', 'cant_sug': ("61.600000"), 'venta': ("48.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("24.600"), 'PS_x_stk_min': ("24.600"), 'saldo': ("37.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("56.000000"), 'Prom_venta': ("8.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '302 '}, {0: '304 ', 1: 'Yog. Cereal FA 1 Kg', 2: 6, 3: '7', 4: ("43.000"), 5: ("7.166666"), 6: ("42.000"), 7: ("0.000"), 8: ("50.166662"), 9: ("55.183328"), 10: ("13.183"), 11: ("13.183"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Cereal FA 1 Kg', 'cant_sug': ("55.183328"), 'venta': ("43.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("13.183"), 'PS_x_stk_min': ("13.183"), 'saldo': ("42.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("50.166662"), 'Prom_venta': ("7.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '304 '}, {0: '310 ', 1: 'Yog. 4 Kg Fresa', 2: 6, 3: '7', 4: ("662.000"), 5: ("110.333333"), 6: ("713.000"), 7: ("0.000"), 8: ("772.333331"), 9: ("849.566664"), 10: ("136.567"), 11: ("136.567"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Fresa', 'cant_sug': ("849.566664"), 'venta': ("662.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("136.567"), 'PS_x_stk_min': ("136.567"), 'saldo': ("713.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("772.333331"), 'Prom_venta': ("110.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '310 '}, {0: '320 ', 1: 'Yog. 4 Kg Durazno', 2: 6, 3: '7', 4: ("96.000"), 5: ("16.000000"), 6: ("114.000"), 7: ("0.000"), 8: ("112.000000"), 9: ("123.200000"), 10: ("9.200"), 11: ("9.200"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Durazno', 'cant_sug': ("123.200000"), 'venta': ("96.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("9.200"), 'PS_x_stk_min': ("9.200"), 'saldo': ("114.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("112.000000"), 'Prom_venta': ("16.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '320 '}, {0: '330 ', 1: 'Yog. 4 Kg Pixf1a/C', 2: 6, 3: '7', 4: ("265.000"), 5: ("44.166666"), 6: ("206.000"), 7: ("0.000"), 8: ("309.166662"), 9: ("340.083328"), 10: ("134.083"), 11: ("134.083"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Pixf1a/C', 'cant_sug': ("340.083328"), 'venta': ("265.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("134.083"), 'PS_x_stk_min': ("134.083"), 'saldo': ("206.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("309.166662"), 'Prom_venta': ("44.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '330 '}, {0: '344 ', 1: 'Yog. 4 Kg Mango', 2: 6, 3: '7', 4: ("78.000"), 5: ("13.000000"), 6: ("63.000"), 7: ("0.000"), 8: ("91.000000"), 9: ("100.100000"), 10: ("37.100"), 11: ("37.100"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Mango', 'cant_sug': ("100.100000"), 'venta': ("78.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("37.100"), 'PS_x_stk_min': ("37.100"), 'saldo': ("63.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("91.000000"), 'Prom_venta': ("13.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '344 '}, {0: '345 ', 1: 'Yog. 4 Kg Nuez', 2: 6, 3: '7', 4: ("581.000"), 5: ("96.833333"), 6: ("550.000"), 7: ("0.000"), 8: ("677.833331"), 9: ("745.616664"), 10: ("195.617"), 11: ("195.617"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Nuez', 'cant_sug': ("745.616664"), 'venta': ("581.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("195.617"), 'PS_x_stk_min': ("195.617"), 'saldo': ("550.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("677.833331"), 'Prom_venta': ("96.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '345 '}, {0: '347 ', 1: 'Yog. 4 kg Capuchi', 2: 6, 3: '7', 4: ("176.000"), 5: ("29.333333"), 6: ("193.000"), 7: ("0.000"), 8: ("205.333331"), 9: ("225.866664"), 10: ("32.867"), 11: ("32.867"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 kg Capuchi', 'cant_sug': ("225.866664"), 'venta': ("176.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("32.867"), 'PS_x_stk_min': ("32.867"), 'saldo': ("193.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("205.333331"), 'Prom_venta': ("29.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '347 '}, {0: '348 ', 1: 'Yog. Cereal C/Nuez 4K', 2: 6, 3: '7', 4: ("453.000"), 5: ("75.500000"), 6: ("201.000"), 7: ("0.000"), 8: ("528.500000"), 9: ("581.350000"), 10: ("380.350"), 11: ("380.350"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. Cereal C/Nuez 4K', 'cant_sug': ("581.350000"), 'venta': ("453.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("380.350"), 'PS_x_stk_min': ("380.350"), 'saldo': ("201.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("528.500000"), 'Prom_venta': ("75.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '348 '}, {0: '350 ', 1: 'Yog. 4 Kg C/Pasa', 2: 6, 3: '7', 4: ("216.000"), 5: ("36.000000"), 6: ("103.000"), 7: ("0.000"), 8: ("252.000000"), 9: ("277.200000"), 10: ("174.200"), 11: ("174.200"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg C/Pasa', 'cant_sug': ("277.200000"), 'venta': ("216.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("174.200"), 'PS_x_stk_min': ("174.200"), 'saldo': ("103.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("252.000000"), 'Prom_venta': ("36.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '350 '}, {0: '351 ', 1: 'Yog. 4 Kg Coco', 2: 6, 3: '7', 4: ("118.000"), 5: ("19.666666"), 6: ("60.000"), 7: ("0.000"), 8: ("137.666662"), 9: ("151.433328"), 10: ("91.433"), 11: ("91.433"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Coco', 'cant_sug': ("151.433328"), 'venta': ("118.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("91.433"), 'PS_x_stk_min': ("91.433"), 'saldo': ("60.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("137.666662"), 'Prom_venta': ("19.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '351 '}, {0: '352 ', 1: 'Yog. 4 Kg Zanahoria', 2: 6, 3: '7', 4: ("258.000"), 5: ("43.000000"), 6: ("212.000"), 7: ("0.000"), 8: ("301.000000"), 9: ("331.100000"), 10: ("119.100"), 11: ("119.100"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Zanahoria', 'cant_sug': ("331.100000"), 'venta': ("258.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("119.100"), 'PS_x_stk_min': ("119.100"), 'saldo': ("212.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("301.000000"), 'Prom_venta': ("43.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '352 '}, {0: '353 ', 1: 'Yog. 4 Kg Nopal/P', 2: 6, 3: '7', 4: ("144.000"), 5: ("24.000000"), 6: ("98.000"), 7: ("0.000"), 8: ("168.000000"), 9: ("184.800000"), 10: ("86.800"), 11: ("86.800"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 Kg Nopal/P', 'cant_sug': ("184.800000"), 'venta': ("144.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("86.800"), 'PS_x_stk_min': ("86.800"), 'saldo': ("98.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("168.000000"), 'Prom_venta': ("24.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '353 '}, {0: '357 ', 1: 'Yog. 4 kg Tutifruti', 2: 6, 3: '7', 4: ("25.000"), 5: ("4.166666"), 6: ("17.000"), 7: ("0.000"), 8: ("29.166662"), 9: ("32.083328"), 10: ("15.083"), 11: ("15.083"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Yog. 4 kg Tutifruti', 'cant_sug': ("32.083328"), 'venta': ("25.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("15.083"), 'PS_x_stk_min': ("15.083"), 'saldo': ("17.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("29.166662"), 'Prom_venta': ("4.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '357 '}, {0: '628 ', 1: 'DDL RE 500 GRS ECONOMICO', 2: 6, 3: '7', 4: ("6.000"), 5: ("1.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("7.000000"), 9: ("7.700000"), 10: ("7.700"), 11: ("7.700"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL RE 500 GRS ECONOMICO', 'cant_sug': ("7.700000"), 'venta': ("6.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("7.700"), 'PS_x_stk_min': ("7.700"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("7.000000"), 'Prom_venta': ("1.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '628 '}, {0: '629 ', 1: 'DDL RE 1KG ECONOMICO', 2: 6, 3: '7', 4: ("50.000"), 5: ("8.333333"), 6: ("0.000"), 7: ("0.000"), 8: ("58.333331"), 9: ("64.166664"), 10: ("64.167"), 11: ("64.167"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL RE 1KG ECONOMICO', 'cant_sug': ("64.166664"), 'venta': ("50.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("64.167"), 'PS_x_stk_min': ("64.167"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("58.333331"), 'Prom_venta': ("8.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '629 '}, {0: '655 ', 1: 'DDL RE ECONOMICO 300 GR', 2: 6, 3: '7', 4: ("120.000"), 5: ("20.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("140.000000"), 9: ("154.000000"), 10: ("154.000"), 11: ("154.000"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL RE ECONOMICO 300 GR', 'cant_sug': ("154.000000"), 'venta': ("120.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("154.000"), 'PS_x_stk_min': ("154.000"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("140.000000"), 'Prom_venta': ("20.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '655 '}, {0: '656 ', 1: 'DDL RE 25K ECONOMICO', 2: 6, 3: '7', 4: ("50.000"), 5: ("8.333333"), 6: ("0.000"), 7: ("0.000"), 8: ("58.333331"), 9: ("64.166664"), 10: ("64.167"), 11: ("64.167"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL RE 25K ECONOMICO', 'cant_sug': ("64.166664"), 'venta': ("50.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("64.167"), 'PS_x_stk_min': ("64.167"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("58.333331"), 'Prom_venta': ("8.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '656 '}, {0: '657 ', 1: 'DDL RE 5K ECONOMICO', 2: 6, 3: '7', 4: ("70.000"), 5: ("11.666666"), 6: ("1.000"), 7: ("0.000"), 8: ("81.666662"), 9: ("89.833328"), 10: ("88.833"), 11: ("88.833"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL RE 5K ECONOMICO', 'cant_sug': ("89.833328"), 'venta': ("70.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("88.833"), 'PS_x_stk_min': ("88.833"), 'saldo': ("1.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("81.666662"), 'Prom_venta': ("11.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '657 '}, {0: '659 ', 1: 'DDL HR 5K ECONOMICO C/ING', 2: 6, 3: '7', 4: ("65.000"), 5: ("10.833333"), 6: ("0.000"), 7: ("0.000"), 8: ("75.833331"), 9: ("83.416664"), 10: ("83.417"), 11: ("83.417"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL HR 5K ECONOMICO C/ING', 'cant_sug': ("83.416664"), 'venta': ("65.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("83.417"), 'PS_x_stk_min': ("83.417"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("75.833331"), 'Prom_venta': ("10.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '659 '}, {0: '661 ', 1: 'DDL HR 500 GRS ECONOMICO C/ING', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'DDL HR 500 GRS ECONOMICO C/ING', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '661 '}, {0: '737 ', 1: 'JAMON AMERICANO', 2: 6, 3: '7', 4: ("0.225"), 5: ("0.037500"), 6: ("0.000"), 7: ("0.000"), 8: ("0.262500"), 9: ("0.288750"), 10: ("0.289"), 11: ("0.289"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'JAMON AMERICANO', 'cant_sug': ("0.288750"), 'venta': ("0.225"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("0.289"), 'PS_x_stk_min': ("0.289"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("0.262500"), 'Prom_venta': ("0.037500"), 'costo_x_stk_min': ("0.000000"), 'codigo': '737 '}, {0: '758 ', 1: 'J. PECHUGA DE PAVO', 2: 6, 3: '7', 4: ("1.430"), 5: ("0.238333"), 6: ("0.000"), 7: ("0.000"), 8: ("1.668331"), 9: ("1.835164"), 10: ("1.835"), 11: ("1.835"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'J. PECHUGA DE PAVO', 'cant_sug': ("1.835164"), 'venta': ("1.430"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.835"), 'PS_x_stk_min': ("1.835"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.668331"), 'Prom_venta': ("0.238333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '758 '}, {0: '102 ', 1: 'Grasa Butirica X kg', 2: 6, 3: '7', 4: ("160.400"), 5: ("26.733333"), 6: ("0.000"), 7: ("0.000"), 8: ("187.133331"), 9: ("205.846664"), 10: ("205.847"), 11: ("205.847"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Grasa Butirica X kg', 'cant_sug': ("205.846664"), 'venta': ("160.400"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("205.847"), 'PS_x_stk_min': ("205.847"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("187.133331"), 'Prom_venta': ("26.733333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '102 '}, {0: '680 ', 1: 'Agua Ciel 600 Ml', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Agua Ciel 600 Ml', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '680 '}, {0: '681 ', 1: 'Agua ciel de 1.5 Lt', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Agua ciel de 1.5 Lt', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '681 '}, {0: '682 ', 1: 'Jugo del Valle Generosa', 2: 6, 3: '7', 4: ("16.000"), 5: ("2.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("18.666662"), 9: ("20.533328"), 10: ("20.533"), 11: ("20.533"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Jugo del Valle Generosa', 'cant_sug': ("20.533328"), 'venta': ("16.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("20.533"), 'PS_x_stk_min': ("20.533"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("18.666662"), 'Prom_venta': ("2.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '682 '}, {0: '693 ', 1: 'BROWNIES', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'BROWNIES', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '693 '}, {0: '698 ', 1: 'BISQUET', 2: 6, 3: '7', 4: ("13.000"), 5: ("2.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("15.166662"), 9: ("16.683328"), 10: ("16.683"), 11: ("16.683"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'BISQUET', 'cant_sug': ("16.683328"), 'venta': ("13.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("16.683"), 'PS_x_stk_min': ("16.683"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("15.166662"), 'Prom_venta': ("2.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '698 '}, {0: '699 ', 1: 'GALLETA NATA', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GALLETA NATA', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '699 '}, {0: '704 ', 1: 'Agua Ciel 1 L', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Agua Ciel 1 L', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '704 '}, {0: '722 ', 1: 'POLVORON', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'POLVORON', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '722 '}, {0: '723 ', 1: 'GALLETA AVENA', 2: 6, 3: '7', 4: ("6.000"), 5: ("1.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("7.000000"), 9: ("7.700000"), 10: ("7.700"), 11: ("7.700"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GALLETA AVENA', 'cant_sug': ("7.700000"), 'venta': ("6.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("7.700"), 'PS_x_stk_min': ("7.700"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("7.000000"), 'Prom_venta': ("1.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '723 '}, {0: '724 ', 1: 'GALLETA CHOCOLATE', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GALLETA CHOCOLATE', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '724 '}, {0: '725 ', 1: 'GALLETA DE ALMENDRA', 2: 6, 3: '7', 4: ("8.000"), 5: ("1.333333"), 6: ("0.000"), 7: ("0.000"), 8: ("9.333331"), 9: ("10.266664"), 10: ("10.267"), 11: ("10.267"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GALLETA DE ALMENDRA', 'cant_sug': ("10.266664"), 'venta': ("8.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("10.267"), 'PS_x_stk_min': ("10.267"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("9.333331"), 'Prom_venta': ("1.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '725 '}, {0: '752 ', 1: 'TORTILLA NATURAL', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'TORTILLA NATURAL', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '752 '}, {0: '755 ', 1: 'CHARITOS', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'CHARITOS', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '755 '}, {0: '770 ', 1: 'PALETA DE LIMON', 2: 6, 3: '7', 4: ("13.000"), 5: ("2.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("15.166662"), 9: ("16.683328"), 10: ("16.683"), 11: ("16.683"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA DE LIMON', 'cant_sug': ("16.683328"), 'venta': ("13.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("16.683"), 'PS_x_stk_min': ("16.683"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("15.166662"), 'Prom_venta': ("2.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '770 '}, {0: '771 ', 1: 'PALETA JAMAICA', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA JAMAICA', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '771 '}, {0: '772 ', 1: 'PALETA COCO', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("8.983"), 11: ("8.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA COCO', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("8.983"), 'PS_x_stk_min': ("8.983"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '772 '}, {0: '774 ', 1: 'PALETA DE CAJETA', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA DE CAJETA', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '774 '}, {0: '775 ', 1: 'PALETA DE CHOCOLATE', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("8.983"), 11: ("8.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA DE CHOCOLATE', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("8.983"), 'PS_x_stk_min': ("8.983"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '775 '}, {0: '777 ', 1: 'PALETA FRESA/VAINILLA', 2: 6, 3: '7', 4: ("6.000"), 5: ("1.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("7.000000"), 9: ("7.700000"), 10: ("7.700"), 11: ("7.700"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA FRESA/VAINILLA', 'cant_sug': ("7.700000"), 'venta': ("6.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("7.700"), 'PS_x_stk_min': ("7.700"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("7.000000"), 'Prom_venta': ("1.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '777 '}, {0: '778 ', 1: 'PALETA PLATANO', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("8.983"), 11: ("8.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA PLATANO', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("8.983"), 'PS_x_stk_min': ("8.983"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '778 '}, {0: '779 ', 1: 'SANDWICH ROJO', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'SANDWICH ROJO', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '779 '}, {0: '780 ', 1: 'SANDWICH AZUL', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'SANDWICH AZUL', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '780 '}, {0: '781 ', 1: 'PALETA ESPECIAL', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("8.983"), 11: ("8.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA ESPECIAL', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("8.983"), 'PS_x_stk_min': ("8.983"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '781 '}, {0: '782 ', 1: 'MINI PAY', 2: 6, 3: '7', 4: ("11.000"), 5: ("1.833333"), 6: ("0.000"), 7: ("0.000"), 8: ("12.833331"), 9: ("14.116664"), 10: ("14.117"), 11: ("14.117"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'MINI PAY', 'cant_sug': ("14.116664"), 'venta': ("11.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("14.117"), 'PS_x_stk_min': ("14.117"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("12.833331"), 'Prom_venta': ("1.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '782 '}, {0: '783 ', 1: 'PALETA CAFETO', 2: 6, 3: '7', 4: ("14.000"), 5: ("2.333333"), 6: ("0.000"), 7: ("0.000"), 8: ("16.333331"), 9: ("17.966664"), 10: ("17.967"), 11: ("17.967"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA CAFETO', 'cant_sug': ("17.966664"), 'venta': ("14.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("17.967"), 'PS_x_stk_min': ("17.967"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("16.333331"), 'Prom_venta': ("2.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '783 '}, {0: '785 ', 1: 'BARQUIYATE FRESA', 2: 6, 3: '7', 4: ("7.000"), 5: ("1.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("8.166662"), 9: ("8.983328"), 10: ("8.983"), 11: ("8.983"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'BARQUIYATE FRESA', 'cant_sug': ("8.983328"), 'venta': ("7.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("8.983"), 'PS_x_stk_min': ("8.983"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("8.166662"), 'Prom_venta': ("1.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '785 '}, {0: '789 ', 1: 'GRANOLA', 2: 6, 3: '7', 4: ("18.000"), 5: ("3.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("21.000000"), 9: ("23.100000"), 10: ("23.100"), 11: ("23.100"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GRANOLA', 'cant_sug': ("23.100000"), 'venta': ("18.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("23.100"), 'PS_x_stk_min': ("23.100"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("21.000000"), 'Prom_venta': ("3.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '789 '}, {0: '793 ', 1: 'PALETA SCAPE', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PALETA SCAPE', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '793 '}, {0: '794 ', 1: 'NIEVE DE 190 GRS', 2: 6, 3: '7', 4: ("4.000"), 5: ("0.666666"), 6: ("0.000"), 7: ("0.000"), 8: ("4.666662"), 9: ("5.133328"), 10: ("5.133"), 11: ("5.133"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'NIEVE DE 190 GRS', 'cant_sug': ("5.133328"), 'venta': ("4.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("5.133"), 'PS_x_stk_min': ("5.133"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("4.666662"), 'Prom_venta': ("0.666666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '794 '}, {0: '795 ', 1: 'BARQUIYATE CHOCOLATE', 2: 6, 3: '7', 4: ("18.000"), 5: ("3.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("21.000000"), 9: ("23.100000"), 10: ("23.100"), 11: ("23.100"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'BARQUIYATE CHOCOLATE', 'cant_sug': ("23.100000"), 'venta': ("18.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("23.100"), 'PS_x_stk_min': ("23.100"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("21.000000"), 'Prom_venta': ("3.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '795 '}, {0: '1043 ', 1: 'HIELERA 61X40X36', 2: 6, 3: '7', 4: ("17.000"), 5: ("2.833333"), 6: ("0.000"), 7: ("0.000"), 8: ("19.833331"), 9: ("21.816664"), 10: ("21.817"), 11: ("21.817"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'HIELERA 61X40X36', 'cant_sug': ("21.816664"), 'venta': ("17.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("21.817"), 'PS_x_stk_min': ("21.817"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("19.833331"), 'Prom_venta': ("2.833333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '1043 '}, {0: '1045 ', 1: 'GEL REFRIGERANTE', 2: 6, 3: '7', 4: ("97.000"), 5: ("16.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("113.166662"), 9: ("124.483328"), 10: ("124.483"), 11: ("124.483"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'GEL REFRIGERANTE', 'cant_sug': ("124.483328"), 'venta': ("97.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("124.483"), 'PS_x_stk_min': ("124.483"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("113.166662"), 'Prom_venta': ("16.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '1045 '}, {0: '678 ', 1: 'Boing No Retornable', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Boing No Retornable', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '678 '}, {0: '683 ', 1: 'Powerade 600 ml', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Powerade 600 ml', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '683 '}, {0: '685 ', 1: 'powerade 1 litro', 2: 6, 3: '7', 4: ("14.000"), 5: ("2.333333"), 6: ("0.000"), 7: ("0.000"), 8: ("16.333331"), 9: ("17.966664"), 10: ("17.967"), 11: ("17.967"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'powerade 1 litro', 'cant_sug': ("17.966664"), 'venta': ("14.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("17.967"), 'PS_x_stk_min': ("17.967"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("16.333331"), 'Prom_venta': ("2.333333"), 'costo_x_stk_min': ("0.000000"), 'codigo': '685 '}, {0: '688 ', 1: 'Agua Ciel Saborizada 1.5 Lt', 2: 6, 3: '7', 4: ("3.000"), 5: ("0.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("3.500000"), 9: ("3.850000"), 10: ("3.850"), 11: ("3.850"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'Agua Ciel Saborizada 1.5 Lt', 'cant_sug': ("3.850000"), 'venta': ("3.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("3.850"), 'PS_x_stk_min': ("3.850"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("3.500000"), 'Prom_venta': ("0.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '688 '}, {0: '690 ', 1: 'NESTEA NEGRO 458 mL', 2: 6, 3: '7', 4: ("1.000"), 5: ("0.166666"), 6: ("0.000"), 7: ("0.000"), 8: ("1.166662"), 9: ("1.283328"), 10: ("1.283"), 11: ("1.283"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'NESTEA NEGRO 458 mL', 'cant_sug': ("1.283328"), 'venta': ("1.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("1.283"), 'PS_x_stk_min': ("1.283"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("1.166662"), 'Prom_venta': ("0.166666"), 'costo_x_stk_min': ("0.000000"), 'codigo': '690 '}, {0: '751 ', 1: 'PAY DE NUEZ MINI', 2: 6, 3: '7', 4: ("6.000"), 5: ("1.000000"), 6: ("0.000"), 7: ("0.000"), 8: ("7.000000"), 9: ("7.700000"), 10: ("7.700"), 11: ("7.700"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'PAY DE NUEZ MINI', 'cant_sug': ("7.700000"), 'venta': ("6.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("7.700"), 'PS_x_stk_min': ("7.700"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("7.000000"), 'Prom_venta': ("1.000000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '751 '}, {0: '001 ', 1: 'BONIFICACION', 2: 6, 3: '7', 4: ("25041.000"), 5: ("4173.500000"), 6: ("0.000"), 7: ("0.000"), 8: ("29214.500000"), 9: ("32135.950000"), 10: ("32135.950"), 11: ("32135.950"), 12: ("0.000000"), 13: ("0.000000"), 'articulo': 'BONIFICACION', 'cant_sug': ("32135.950000"), 'venta': ("25041.000"), 'dias_venta': 6, 'dias': '7', 'PS_x_stk': ("32135.950"), 'PS_x_stk_min': ("32135.950"), 'saldo': ("0.000"), 'stock_minimo': ("0.000"), 'costo_x_stk': ("0.000000"), 'cant_nec': ("29214.500000"), 'Prom_venta': ("4173.500000"), 'costo_x_stk_min': ("0.000000"), 'codigo': '001 '}]
        return values

    def conection_power(self, cr, uid, ids, context=None):
        data = self.read(cr, uid, ids, context=context)[0]
        values = self.conection_execute_query(cr, uid, ids, data, context)
        sugerido_lines_obj = self.pool.get('mrp.sugerido.lines')
        sugerido_obj = self.pool.get('mrp.sugerido')
        product_obj = self.pool.get('product.product')
        date = sugerido_obj.browse(cr, uid, context['active_ids'])[0].date_from
        cantidad_producto = []
        for value in values:
            codigo=int(value['codigo'])
            cantidad_necesaria=value['cant_nec']
            cantidad_sugerida=float(value['cant_sug'])
            promedio_venta=value['Prom_venta']
            stock_minimo=value['stock_minimo']
            pedido_stock=value['PS_x_stk']
            pedido_stock_minimo=value['PS_x_stk_min']
            stock_saldo=value['saldo']
            venta=value['venta']
            dias_venta=value['dias_venta']
            dias=value['dias']
            query="select id, padre_id from product_product where code_pws = '%s' "%(codigo)
            cr.execute(query)
            res=cr.dictfetchall()
            if res and res[0]['padre_id']:
                uom_id = product_obj.browse(cr, uid, [res[0]['id']])[0].product_tmpl_id.uom_id.id
                sugerido_lines_obj.create(cr, uid, {
                                            'name':codigo,
                                            'product_id':res[0]['id'],
                                            'padre_id':res[0]['padre_id'],
                                            'sugerido_id':context['active_id'],
                                            'dias_venta':dias_venta,
                                            'dias_cubrir':dias,
                                            'venta':venta,
                                            'avg_venta':promedio_venta,
                                            'saldo_stock':stock_saldo,
                                            'stock_minimo':stock_minimo,
                                            'cantidad_necesaria':cantidad_necesaria,
                                            'cantidad_sugerida':cantidad_sugerida,
                                            'pedido_stock':pedido_stock,
                                            'pedido_stock_minimo':pedido_stock_minimo,
                                            'date':date,
                                            'cantidad_sugerida_uom_id':uom_id,
                                            })
            cantidad_producto.append(codigo)
        return {}
        
wizard_conection_power()
