# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

import time
import netsvc
from osv import osv, fields
from tools.translate import _
from mx.DateTime import *

class wizard_confirm_productions(osv.osv_memory):
    _name = 'wizard.confirm.productions'

    _columns = {
          'fecha_inicio':fields.date('Desde',required=True),
          'fecha_fin':fields.date('Hasta',required=True),
     }
     
    def confirm_productions(self, cr, uid, ids, context=None):
        wf_service = netsvc.LocalService("workflow")
        data = self.read(cr, uid, ids, context=context)[0]
        production_obj = self.pool.get('mrp.production')
        date_fin = DateTimeFrom(data['fecha_fin'])+RelativeDate(hours=23)
        productions_ids = production_obj.search(cr, uid, [('date_planned', '>=', data['fecha_inicio']), ('date_planned', '<', str(date_fin))])
        for production in production_obj.browse(cr, uid, productions_ids):
            if production.state == 'draft':
                wf_service.trg_validate(uid, 'mrp.production', production.id, 'button_confirm', cr)
        return {}
wizard_confirm_productions()