# -*- encoding: utf-8 -*-
###########################################################################
#    Module Writen to OpenERP, Open Source Management Solution
#
#    Copyright (c) 2010 Tecnos Consultores S.C
#    All Rights Reserved.
############################################################################
#    Coded by: Fernando Irene Garcia (fernandoig1125@hotmail.com)
############################################################################
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU Affero General Public License as
#    published by the Free Software Foundation, either version 3 of the
#    License, or (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU Affero General Public License for more details.
#
#    You should have received a copy of the GNU Affero General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################
from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from tools.misc import UpdateableStr, UpdateableDict
from osv import osv
import time
import math

form_start ='''<?xml version="1.0"?>
<form string="Crear Programa de Planta">
    <group colspan="2" col="4">
        <label string="Crear programa sugerido de planta?" colspan="4"/>
    </group>
</form>
'''

form_finish ='''<?xml version="1.0"?>
<form string="Creacion de programa de planta">
    <image name="gtk-dialog-info" colspan="2"/>
    <group colspan="2" col="4">
        <label string="Las lineas se han generado satisfactoriamente!!!" colspan="4"/>
    </group>
</form>
'''

_fields ={}

def _programa_planta(self, cr, uid, data, context):
    sugerido_obj = pooler.get_pool(cr.dbname).get('mrp.sugerido')
    sugerido_planta_obj = pooler.get_pool(cr.dbname).get('mrp.sugerido.planta')
    sugerido_agrupados_obj = pooler.get_pool(cr.dbname).get('mrp.sugerido.agrupados')
    value_ids = sugerido_obj.read(cr, uid, data['ids'][0], ['agrupado_ids'])
    for value in sugerido_agrupados_obj.browse(cr, uid, value_ids['agrupado_ids']):
        padre_id = value.padre_id.id
        sugerido_id = data['ids'][0]
        sugerido_total = value.cantidad_leche
        batch = value.batch
        dias_entrega = value.padre_id.dias_entrega
        sugerido_planta_obj.create(cr, uid, {'padre_id':padre_id, 'batch':batch, 'sugerido_id':sugerido_id, 'dias_entrega':dias_entrega, 
                                   'sugerido_total':sugerido_total})
    return {}


class wizard_create_programa(wizard.interface):
    states = {
        'init' : { 'actions': [],
            'result': { 'type': 'form', 'arch': form_start, 'fields': _fields, 'state': [ ('end', 'Cancel', 'gtk-cancel', True), ('confirm', 'Confirm', 'gtk-ok', True)]},
        },
        'confirm' : { 'actions' : [],
            'result' : {'type': 'action', 'action': _programa_planta, 'state': 'finish'},
        },
        'finish' : { 'actions' : [],
            'result' : {'type': 'form', 'arch': form_finish, 'fields': {}, 'state':[('end', 'Aceptar', 'gtk-ok', True)] }
        },
    }
wizard_create_programa('wizard.create.programa')