from mx.DateTime import *
import wizard
import netsvc
import ir
import pooler
from tools.misc import UpdateableStr, UpdateableDict
from osv import osv
import time

_moves_arch = UpdateableStr()
_moves_fields = UpdateableDict()

_form ='''<?xml version="1.0"?>
<form string="Dividir">
	<field name="qty"/>
</form>'''

_form2 ='''<?xml version="1.0"?>
<form string="Sustituir Producto">
	<field name="lista_id"/>
	<newline/>
	<field name="listas_ids"/>
</form>'''



_fields ={
	'qty': {'string':'Cantidad de divisiones a realizar?', 'type':'integer','required':True},

}

_fields2 ={
	'lista_id': {'string':'Lista Material', 'type':'many2one','relation':'mrp.bom'},
	'listas_ids': {'string':'Listas', 'type':'many2many', 'relation': 'mrp.remplaza','domain':"[('product_id','=',product_id)]"},
}

def _get_moves(self, cr, uid, data, context):
	res = {}
	lista=[]
	_moves_arch_lst = ['<?xml version="1.0"?>', '<form string="Divisiones">']
	for m in range(0,data['form']['qty']):
		_moves_arch_lst.append('<field name="move%s" />'% (m,))
		_moves_arch_lst.append('<newline/>')
		_moves_arch_lst.append('<field name="move2%s" />'% (m,))
		_moves_arch_lst.append('<field name="move3%s" />'% (m,))
		_moves_arch_lst.append('<separator string="" colspan="4"/>')
		_moves_fields['move%s' %m] = {'string': 'PRODUCCION-%s\nCantidad de productos a producir'%(m), 'type': 'integer'}
		_moves_fields['move2%s' %m] = {'string': 'Estacion', 'type': 'many2one','relation':'stock.location','domain':[('station_ok','=',True)]}
		_moves_fields['move3%s' %m] = {'string': 'Fecha', 'type': 'date'}
		_moves_arch_lst.append('<newline/>')
		res.setdefault('moves', []).append(m)
	_moves_arch_lst.append('</form>')
	_moves_arch.string = '\n'.join(_moves_arch_lst)
	return res


def _trae_listas(self, cr, uid, data, context):
	res = {}
	lista=[]
	obj = pooler.get_pool(cr.dbname).get('mrp.remplaza')
	query="""SELECT primer.bom_id,talla_id,default_code as sku,color_id,estilo_id,mrp_bom.name FROM 
				(
				SELECT bom_id,product_id FROM  mrp_bom 
				WHERE mrp_bom.product_id=%s
				)as primer
			INNER JOIN  mrp_bom ON primer.bom_id=mrp_bom.id
			JOIN product_product ON product_product.id=mrp_bom.product_id
			JOIN product_template ON product_template.id=product_product.product_tmpl_id
		"""%data['form']['product_id']
	cr.execute( query )
	#ids = filter(None, map(lambda x:x[0], cr.fetchall()))
	versiones=cr.dictfetchall()
	for ver in versiones:
		lista.append(obj.create(cr,uid,{'bom_id':ver['bom_id'],'sku':ver['sku'],'talla_id':ver['talla_id'],'color_id':ver['color_id'],'estilo_id':ver['estilo_id'],'nombre':ver['name']},context))
	data['form']['listas_ids']=lista
	return data['form']


def _actualizar(self, cr, uid, data, context):
	obj = pooler.get_pool(cr.dbname).get('mrp.production')
	obj_line = pooler.get_pool(cr.dbname).get('mrp.production.product.line')
	stock_obj = pooler.get_pool(cr.dbname).get('stock.move')
	res = {}
	total=0
	ordenes_ids=[]
	cantidad=obj.read(cr,uid,[data['id']],['product_qty'],context)
	state=obj.read(cr,uid,[data['id']],['state'],context)
	for m in range(0,data['form']['qty']):
		total +=data['form']['move%s'%m]
	if state[0]['state']!='draft':
		raise wizard.except_wizard('UserError','Solo Puedes Dividir Antes de Confirmar')
	if cantidad:
		if int(cantidad[0]['product_qty']) != total:
			raise wizard.except_wizard('UserError','Cantidad No Coincide')
		query="""SELECT * FROM mrp_production
				WHERE id=%s"""%data['id']
		cr.execute(query)
		nuevo=cr.dictfetchall()
		q2="""SELECT * FROM mrp_production_product_line
				WHERE production_id=%s"""%data['id']
		cr.execute(q2)
		lineas=cr.dictfetchall()
		nom=nuevo[0]['name']
		obj.write(cr,uid,[data['id']],{'name':nom + '-1','product_qty':data['form']['move0'],'station_id':data['form']['move20'],'date_planned':data['form']['move30']})
		for t in range(1,data['form']['qty']):
			id_name=int(t)+1
			nuevo[0]['product_qty']=data['form']['move%s'%t]
			nuevo[0]['station_id']=data['form']['move2%s'%t]
			nuevo[0]['date_planned']=data['form']['move3%s'%t]
			nuevo[0]['name']=nom + '-'+ str(id_name)
			id_p=obj.create(cr,uid,nuevo[0],context)
			ordenes_ids.append(id_p)
		ordenes_ids.append(data['id'])
		len = obj.action_compute(cr, uid, ordenes_ids, properties=[])
	else:
		raise wizard.except_wizard('UserError','Esta Orden Ya se Dividio')
	return res

def end(self, cr, uid, data, context):
	res={}
	obj = pooler.get_pool(cr.dbname).get('mrp.production')
	obj.unlink(cr,uid,[data['id']],context)
	return res

class wizard_divide_production(wizard.interface):
	
	states = {
		
		'init': {
			'actions': [],
			'result': {
				'type': 'form', 
				'arch': _form, 
				'fields': _fields,
				'state' : (('end', 'Cancel', 'gtk-cancel'),('dividir', 'Dividir', 'terp-gtk-go-back-rtl') )
			},
		},
		
		'dividir': {
			'actions': [_get_moves],
			'result': {'type': 'form', 'arch': _moves_arch, 'fields': _moves_fields,
				'state': (('end', 'Cancel', 'gtk-cancel'),('init', 'Regresar', 'terp-gtk-go-back-ltr'),('actualizar', 'Actualizar', 'terp-gtk-go-back-rtl') ),
			},
		},
		
		
		'actualizar': {
			'actions': [_actualizar],
			'result': {
				'type': 'state',
				'state': 'end',
			},
		},
		
	}
	
wizard_divide_production('wizard.divide.production')