# -*- encoding: utf-8 -*-
##############################################################################
#
#    OpenERP, Open Source Management Solution
#    Copyright (C) 2004-2009 Tiny SPRL (<http://tiny.be>). All Rights Reserved
#    $Id$
#
#    This program is free software: you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation, either version 3 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
##############################################################################

from mx import DateTime
import time
import netsvc
from osv import fields, osv
from tools import config
from tools.translate import _
import tools

class stock_partial_move_memory_out(osv.osv_memory):
    _inherit = "stock.move.memory.out"
    _columns = {
        'quantity' : fields.float("Quantity", required=True, digits=(16, 3)),
    }
stock_partial_move_memory_out()

class stock_move(osv.osv):
    _inherit = "stock.move"
    _columns = {
        'product_qty' : fields.float("Quantity", required=True, digits=(16, 3)),
    }
stock_move()

class stock_partial_picking(osv.osv_memory):
    _inherit = "stock.partial.picking"
    def do_partial(self, cr, uid, ids, context=None):
        mrp_obj=self.pool.get('mrp.production')
        picking_obj=self.pool.get('stock.picking')
        res=super(stock_partial_picking, self).do_partial(cr, uid, ids,context=context)
        picking_ids = context.get('active_ids', False)
        prod_id=picking_obj.read(cr,uid,picking_ids,['production_id'])
        try:
            production = prod_id[0]['production_id'][0]
            mrp_obj.force_production(cr, uid, [production])
        except:
            pass
        return res
stock_partial_picking()



class stock_picking(osv.osv):
    _inherit = 'stock.picking'
        
    _columns= {
        'station_id': fields.many2one('stock.location', 'Estacion'),
        'tina_id':fields.many2one('mrp.tinas', 'No. Tina'),
        'production_id':fields.many2one('mrp.production', 'Produccion'),
    }

    def action_done(self, cr, uid, ids, context=None):
        mrp_obj=self.pool.get('mrp.production')
        picking_id = super(stock_picking, self).action_done(cr, uid, ids)
        pick=self.browse(cr,uid,ids)[0]
        if pick.type=="internal":
            if pick.production_id and pick.production_id.state=='despiece':
                mrp_obj.write(cr,uid,[pick.production_id.id],{'state':'in_despiece'})
            if pick.production_id and pick.production_id.state=='empaque':
                mrp_obj.write(cr,uid,[pick.production_id.id],{'state':'in_empaque'})
        return picking_id
    
stock_picking()

class stock_location(osv.osv):
    _inherit = 'stock.location'
    
    _columns= {
        'station_ok': fields.boolean('Estacion'),
    }
stock_location()